// 	TorusGamesModelData.h
//
//	© 2010 by Jeff Weeks
//	See TermsOfUse.txt

#import <UIKit/UIKit.h>
#import "TorusGames-Common.h"


@class EAGLContext;


@interface TorusGamesModelData : NSObject
{
	//	The ModelData contains all the information about the game and
	//	the space it's played in, along with all platform-independent information
	//	about how it is to be displayed.
	ModelData	itsModelData;
}

- (id)init;
- (void)dealloc;
- (void)clearModelDataWithContext:(EAGLContext *)aContext;

- (ModelData *)modelData;

- (void)changeGame:(GameType)aNewGame context:(EAGLContext *)aContext;

@end
