//	TorusGamesMacOSCallbacks.h


//	The MacOS version of Torus Games doesn't need to set up fonts in advance,
//	so the opaque struct Font remains undefined and unused.

//struct Font
//{
//};


//	Realize the SideWindow structure,
//	which the platform-independent code defined only as an opaque typedef.
struct SideWindow
{
	//	The various panels (Crossword, Word Search, Pool) all exist
	//	from the moment the NIB file gets loaded, even though they are
	//	not yet displayed on the screen.  So to keep things simple,
	//	let's give the callback routine access to all relevant objects.

	NSDrawer	*itsCrosswordCluesDrawer;
	NSTextField	*itsCrosswordClueAcross,
				*itsCrosswordClueDown;
	
	NSDrawer	*itsWordSearchListDrawer;
	NSTextView	*itsWordSearchList;
	
	NSDrawer	*itsPoolStatusDrawer;
	NSTextField	*itsPoolStatus;
};
