// 	TorusGamesWebViewController.h
//
//	© 2010 by Jeff Weeks
//	See TermsOfUse.txt

#import <UIKit/UIKit.h>


@interface TorusGamesWebViewController : UIViewController <UIWebViewDelegate>
{
	NSString					*itsDirectoryName,		//	private copy of NSString
								*itsFileName;			//	private copy of NSString
	UIActivityIndicatorView		*itsActivityIndicator;	//	retained
	UIWebView					*itsWebView;			//	retained;  see comment in viewDidUnload
}

- (id)initWithDirectory:(NSString *)aDirectoryName page:(NSString *)aFileName;
- (void)dealloc;
- (void)loadView;
- (void)viewDidUnload;
- (void)dismiss;

- (BOOL)webView:(UIWebView *)webView shouldStartLoadWithRequest:(NSURLRequest *)request navigationType:(UIWebViewNavigationType)navigationType;
- (void)webViewDidStartLoad:(UIWebView *)webView;
- (void)webViewDidFinishLoad:(UIWebView *)webView;
- (void)webView:(UIWebView *)webView didFailLoadWithError:(NSError *)error;

@end
